Workspaces

List your workspaces

List the Dex for Teams workspaces you are an active member of, with your `role` in each and `api_access_enabled`, whether its owners and admins have opened it to members' API keys and MCP connections.

GET /v2/workspaces/

Responses

200 — Successful response

Content-Type: application/json

data
object required
data.workspaces
array<object> required
data.workspaces[].id
string (uuid) required
data.workspaces[].name
string required
data.workspaces[].slug
string required
data.workspaces[].image_url
string | null required
data.workspaces[].creator_user_id
string required
data.workspaces[].state
string enum required
Possible values: "active", "pending_deletion"
data.workspaces[].deletion_scheduled_at
string (date-time) required
data.workspaces[].deletion_due_at
string (date-time) required
data.workspaces[].deletion_scheduled_by
string | null required
data.workspaces[].lifecycle_revision
integer required
data.workspaces[].share_emails
boolean required
data.workspaces[].share_social_profiles
boolean required
data.workspaces[].share_phone_numbers
boolean required
data.workspaces[].share_addresses
boolean required
data.workspaces[].share_notes
boolean required
data.workspaces[].api_access_enabled
boolean required
data.workspaces[].auto_add_contacts
boolean required
data.workspaces[].visible_social_networks
array<string> required
data.workspaces[].created_at
string (date-time) required
data.workspaces[].updated_at
string (date-time) required
data.workspaces[].role
string enum required
Possible values: "owner", "admin", "standard", "viewer"
data.pagination
object
data.pagination.nextCursor
string | null
data.pagination.count
integer

Example

{
  "data": {
    "workspaces": [
      {
        "id": "00000000-0000-0000-0000-000000000000",
        "name": "string",
        "slug": "string",
        "image_url": "string",
        "creator_user_id": "string",
        "state": "active",
        "deletion_scheduled_at": "2026-10-23T10:31:51.492Z",
        "deletion_due_at": "2026-10-23T10:31:51.492Z",
        "deletion_scheduled_by": "string",
        "lifecycle_revision": 0,
        "share_emails": false,
        "share_social_profiles": false,
        "share_phone_numbers": false,
        "share_addresses": false,
        "share_notes": false,
        "api_access_enabled": false,
        "auto_add_contacts": false,
        "visible_social_networks": [
          "string"
        ],
        "created_at": "2026-10-23T10:31:51.492Z",
        "updated_at": "2026-10-23T10:31:51.492Z",
        "role": "owner"
      }
    ]
  }
}

400 — Request body failed validation.

Content-Type: application/json

(body)
any

401 — Missing or invalid API key.

Content-Type: application/json

(body)
any

403 — Valid key, insufficient permission.

Content-Type: application/json

(body)
any

404 — Resource does not exist.

Content-Type: application/json

(body)
any

409 — Request conflicts with the current state of the resource.

Content-Type: application/json

(body)
any

429 — Rate limit exceeded.

Content-Type: application/json

(body)
any

500 — Unexpected server error.

Content-Type: application/json

(body)
any

Code samples

curl https://api.prod.getdex.com/v2/workspaces/ \
  --header 'Authorization: Bearer YOUR_API_KEY'
Copyright © 2026